it-swarm-ja.com

certbot-auto ImportError:_sslという名前のモジュールがありません

Certbot-autoを実行すると、次の出力が得られます。

エラー:現在インストールされているバージョンを取得できませんでした...

ファイル "/opt/eff.org/certbot/venv/local/lib/python2.7/site-packages/cryptography/hazmat/bindings/openssl/binding.py"、行140、init_static_locks import =( "_ ssl")ImportError:_sslという名前のモジュールがありません

これは、Debian 7-> Debian8からのdist-upgrade後に発生しました。

5
Cam

certbot-autoは、Pythonの独自のビルドを含む、独自にインストールされた仮想環境を使用します。これは(当然のことながら)ジェシーへのdist-upgradeでは更新されませんでした。 certbot-autoは、すべての依存関係が十分にインストールされていると考えて、再構築が必要であることを検出しませんでしたすでにインストールされています。

したがって、修正は次のとおりです。

rm -rf /opt/eff.org
/usr/local/bin/certbot-auto

次に、必要なものをすべてダウンロードして再構築しました。

12
Cam

また、システムをDebian7からDebian8にアップグレードしましたが、「certbot-auto」という名前のファイルが見つかりませんでした。そこで、/ opt/eff.orgの名前を/opt/eff.org.oldに変更し、必要なファイルをダウンロードするletsencrypt-autoを開始しました。

0
Michael Kremser